## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaPhpArrayReader

### DatabaseSchema::ezcDbSchemaPhpArrayReader

### Class ezcDbSchemaPhpArrayReader

Handler that reads database definitions and database difference definitions from a file containing a PHP variable.

Source for this file: /DatabaseSchema/src/handlers/php_array/reader.php

### Implements interfaces:

- ezcDbSchemaFileReader
- ezcDbSchemaDiffFileReader

Version: | //autogentag//

### Method Summary

public int | `getDiffReaderType( )` Returns what type of schema difference reader this class implements.
public int | `getReaderType( )` Returns what type of reader writer this class implements.
public ezcDbSchemaDiff | `loadDiffFromFile( $file )` Returns the database differences stored in the file $file
public ezcDbSchema | `loadFromFile( $file )` Returns the database schema stored in the file $file

### Methods

#### getDiffReaderType

int getDiffReaderType( )

Returns what type of schema difference reader this class implements.

This method always returns ezcDbSchema::FILE

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaDiffReader::getDiffReaderType()` | Returns what type of schema difference reader this class implements.

#### getReaderType

int getReaderType( )

Returns what type of reader writer this class implements.

This method always returns ezcDbSchema::FILE

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaReader::getReaderType()` | Returns what type of schema reader this class implements.

#### loadDiffFromFile

ezcDbSchemaDiff loadDiffFromFile( string $file )

Returns the database differences stored in the file $file

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidSchemaException` | if the data in the $file is corrupt or when the file could not be opened.
`ezcBaseFileNotFoundException` | if the file $file could not be found.

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaDiffFileReader::loadDiffFromFile()` | Returns an ezcDbSchemaDiff object created from the differences stored in the file $file

#### loadFromFile

ezcDbSchema loadFromFile( string $file )

Returns the database schema stored in the file $file

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidSchemaException` | if the data in the $file is corrupt or when the file could not be opened.
`ezcBaseFileNotFoundException` | if the file $file could not be found.

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaFileReader::loadFromFile()` | Returns an ezcDbSchema with the definition from $file

Documentation generated by phpDocumentor 1.4.3